<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_171) on Fri May 25 11:54:50 EDT 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>NodeItem (SelekTOR Java Documentation)</title>
<meta name="date" content="2018-05-25">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="NodeItem (SelekTOR Java Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10,"i36":10,"i37":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/NodeItem.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../client/GuardNodeTableModel.html" title="class in client"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../client/NodeList.html" title="class in client"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?client/NodeItem.html" target="_top">Frames</a></li>
<li><a href="NodeItem.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">client</div>
<h2 title="Class NodeItem" class="title">Class NodeItem</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>client.NodeItem</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.lang.Cloneable</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">NodeItem</span>
extends java.lang.Object
implements java.lang.Cloneable</pre>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Alistair Neil <info@dazzleships.net></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeItem.html#TESTSTATUS_FAILED">TESTSTATUS_FAILED</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeItem.html#TESTSTATUS_PASSED">TESTSTATUS_PASSED</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeItem.html#TESTSTATUS_UNKNOWN">TESTSTATUS_UNKNOWN</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeItem.html#TYPE_EXIT">TYPE_EXIT</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeItem.html#TYPE_GUARD">TYPE_GUARD</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../client/NodeItem.html#NodeItem--">NodeItem</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeItem.html#clearType--">clearType</a></span>()</code>
<div class="block">Clear node type</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../client/NodeItem.html" title="class in client">NodeItem</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeItem.html#clone--">clone</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeItem.html#getBandwidth--">getBandwidth</a></span>()</code>
<div class="block">Get nodeitem bandwith</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeItem.html#getCircuitHops--">getCircuitHops</a></span>()</code>
<div class="block">Get circuit hops</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeItem.html#getCountryCode--">getCountryCode</a></span>()</code>
<div class="block">Get nodeitem two letter country code abbreviation</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeItem.html#getCountryName--">getCountryName</a></span>()</code>
<div class="block">Get nodeitem full country name</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeItem.html#getFingerprint--">getFingerprint</a></span>()</code>
<div class="block">Get nodeitems fingerprint</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeItem.html#getIPAddress--">getIPAddress</a></span>()</code>
<div class="block">Get nodeitem ip address</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeItem.html#getLatency--">getLatency</a></span>()</code>
<div class="block">Get Nodeitem latency in ms</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeItem.html#getNickName--">getNickName</a></span>()</code>
<div class="block">Get nodeitem unique name</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeItem.html#getStability--">getStability</a></span>()</code>
<div class="block">Get Nodeitem stability</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeItem.html#getStreams--">getStreams</a></span>()</code>
<div class="block">Get nodeitems active streams</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeItem.html#getTestingMessage--">getTestingMessage</a></span>()</code>
<div class="block">Get Node item status</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeItem.html#getTestLatency--">getTestLatency</a></span>()</code>
<div class="block">Get Nodeitem test latency in ms</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeItem.html#getTestStatus--">getTestStatus</a></span>()</code>
<div class="block">Get testing status flag</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeItem.html#isExit--">isExit</a></span>()</code>
<div class="block">Is exit node</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeItem.html#isFavourite--">isFavourite</a></span>()</code>
<div class="block">Get exit enabled status of Nodeitem</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeItem.html#isGuard--">isGuard</a></span>()</code>
<div class="block">Is Guard node</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeItem.html#isGuardEnabled--">isGuardEnabled</a></span>()</code>
<div class="block">Get guard enabled status of Nodeitem</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeItem.html#isHttpSupported--">isHttpSupported</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeItem.html#isNonUnique--">isNonUnique</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeItem.html#setBandwidth-float-">setBandwidth</a></span>(float&nbsp;bw)</code>
<div class="block">Set node item bandwidth</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeItem.html#setCircuitHops-java.lang.String-">setCircuitHops</a></span>(java.lang.String&nbsp;hops)</code>
<div class="block">Set circuit hops</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeItem.html#setCountryCode-java.lang.String-">setCountryCode</a></span>(java.lang.String&nbsp;abrv)</code>
<div class="block">Set Nodeitem with its two letter country code abbreviation</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeItem.html#setCountryName-java.lang.String-">setCountryName</a></span>(java.lang.String&nbsp;name)</code>
<div class="block">Set Nodeitem with its full country name</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeItem.html#setFavouriteEnabled-boolean-">setFavouriteEnabled</a></span>(boolean&nbsp;enabled)</code>
<div class="block">Set exit enabled status of Nodeitem</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeItem.html#setFingerprint-java.lang.String-">setFingerprint</a></span>(java.lang.String&nbsp;fp)</code>
<div class="block">Set nodeitem fingerprint</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeItem.html#setGuardEnabled-boolean-">setGuardEnabled</a></span>(boolean&nbsp;enabled)</code>
<div class="block">Set guard enabled status of Nodeitem</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeItem.html#setHttpSupported-boolean-">setHttpSupported</a></span>(boolean&nbsp;supported)</code>&nbsp;</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeItem.html#setIPAddress-java.lang.String-">setIPAddress</a></span>(java.lang.String&nbsp;ip)</code>
<div class="block">Set nodeitem ip address</div>
</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeItem.html#setLatency-long-">setLatency</a></span>(long&nbsp;latency)</code>
<div class="block">Set Nodeitem latency value in ms</div>
</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeItem.html#setNickName-java.lang.String-">setNickName</a></span>(java.lang.String&nbsp;name)</code>
<div class="block">Set nodeitem name</div>
</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeItem.html#setStable-java.lang.String-">setStable</a></span>(java.lang.String&nbsp;stability)</code>
<div class="block">Set Nodeitem stability yes/no/unknown</div>
</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeItem.html#setStreams-int-">setStreams</a></span>(int&nbsp;streams)</code>
<div class="block">Set nodeitem number of streams</div>
</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeItem.html#setTestingMessage-java.lang.String-">setTestingMessage</a></span>(java.lang.String&nbsp;text)</code>
<div class="block">Set Nodeitem testing status message</div>
</td>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeItem.html#setTestLatency-long-">setTestLatency</a></span>(long&nbsp;latency)</code>
<div class="block">Set Nodeitem test latency value in ms</div>
</td>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeItem.html#setTestStatus-int-">setTestStatus</a></span>(int&nbsp;status)</code>
<div class="block">Set testing status flag</div>
</td>
</tr>
<tr id="i37" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/NodeItem.html#setType-int-">setType</a></span>(int&nbsp;mask)</code>
<div class="block">Set Node type</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="TYPE_EXIT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TYPE_EXIT</h4>
<pre>public static final&nbsp;int TYPE_EXIT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#client.NodeItem.TYPE_EXIT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TYPE_GUARD">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TYPE_GUARD</h4>
<pre>public static final&nbsp;int TYPE_GUARD</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#client.NodeItem.TYPE_GUARD">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TESTSTATUS_UNKNOWN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TESTSTATUS_UNKNOWN</h4>
<pre>public static final&nbsp;int TESTSTATUS_UNKNOWN</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#client.NodeItem.TESTSTATUS_UNKNOWN">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TESTSTATUS_PASSED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TESTSTATUS_PASSED</h4>
<pre>public static final&nbsp;int TESTSTATUS_PASSED</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#client.NodeItem.TESTSTATUS_PASSED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TESTSTATUS_FAILED">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TESTSTATUS_FAILED</h4>
<pre>public static final&nbsp;int TESTSTATUS_FAILED</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#client.NodeItem.TESTSTATUS_FAILED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="NodeItem--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>NodeItem</h4>
<pre>public&nbsp;NodeItem()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setType-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setType</h4>
<pre>public final&nbsp;void&nbsp;setType(int&nbsp;mask)</pre>
<div class="block">Set Node type</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>mask</code> - </dd>
</dl>
</li>
</ul>
<a name="clearType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clearType</h4>
<pre>public final&nbsp;void&nbsp;clearType()</pre>
<div class="block">Clear node type</div>
</li>
</ul>
<a name="isNonUnique--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isNonUnique</h4>
<pre>public&nbsp;boolean&nbsp;isNonUnique()</pre>
</li>
</ul>
<a name="isExit--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isExit</h4>
<pre>public final&nbsp;boolean&nbsp;isExit()</pre>
<div class="block">Is exit node</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if an exit node</dd>
</dl>
</li>
</ul>
<a name="isHttpSupported--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isHttpSupported</h4>
<pre>public&nbsp;boolean&nbsp;isHttpSupported()</pre>
</li>
</ul>
<a name="setHttpSupported-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setHttpSupported</h4>
<pre>public&nbsp;void&nbsp;setHttpSupported(boolean&nbsp;supported)</pre>
</li>
</ul>
<a name="isGuard--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isGuard</h4>
<pre>public final&nbsp;boolean&nbsp;isGuard()</pre>
<div class="block">Is Guard node</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if guard node</dd>
</dl>
</li>
</ul>
<a name="setCircuitHops-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCircuitHops</h4>
<pre>public final&nbsp;void&nbsp;setCircuitHops(java.lang.String&nbsp;hops)</pre>
<div class="block">Set circuit hops</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>hops</code> - </dd>
</dl>
</li>
</ul>
<a name="getCircuitHops--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCircuitHops</h4>
<pre>public final&nbsp;java.lang.String&nbsp;getCircuitHops()</pre>
<div class="block">Get circuit hops</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Circuit hops as String</dd>
</dl>
</li>
</ul>
<a name="setTestingMessage-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTestingMessage</h4>
<pre>public final&nbsp;void&nbsp;setTestingMessage(java.lang.String&nbsp;text)</pre>
<div class="block">Set Nodeitem testing status message</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>text</code> - </dd>
</dl>
</li>
</ul>
<a name="setTestStatus-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTestStatus</h4>
<pre>public final&nbsp;void&nbsp;setTestStatus(int&nbsp;status)</pre>
<div class="block">Set testing status flag</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>status</code> - </dd>
</dl>
</li>
</ul>
<a name="getTestStatus--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTestStatus</h4>
<pre>public final&nbsp;int&nbsp;getTestStatus()</pre>
<div class="block">Get testing status flag</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>test status</dd>
</dl>
</li>
</ul>
<a name="getTestingMessage--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTestingMessage</h4>
<pre>public final&nbsp;java.lang.String&nbsp;getTestingMessage()</pre>
<div class="block">Get Node item status</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Nodeitem testing status message as string</dd>
</dl>
</li>
</ul>
<a name="setLatency-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLatency</h4>
<pre>public final&nbsp;void&nbsp;setLatency(long&nbsp;latency)</pre>
<div class="block">Set Nodeitem latency value in ms</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>latency</code> - </dd>
</dl>
</li>
</ul>
<a name="getLatency--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLatency</h4>
<pre>public final&nbsp;long&nbsp;getLatency()</pre>
<div class="block">Get Nodeitem latency in ms</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Latency value in ms</dd>
</dl>
</li>
</ul>
<a name="setTestLatency-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTestLatency</h4>
<pre>public final&nbsp;void&nbsp;setTestLatency(long&nbsp;latency)</pre>
<div class="block">Set Nodeitem test latency value in ms</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>latency</code> - </dd>
</dl>
</li>
</ul>
<a name="getTestLatency--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTestLatency</h4>
<pre>public final&nbsp;long&nbsp;getTestLatency()</pre>
<div class="block">Get Nodeitem test latency in ms</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Latency value in ms</dd>
</dl>
</li>
</ul>
<a name="setFavouriteEnabled-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFavouriteEnabled</h4>
<pre>public final&nbsp;void&nbsp;setFavouriteEnabled(boolean&nbsp;enabled)</pre>
<div class="block">Set exit enabled status of Nodeitem</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>enabled</code> - </dd>
</dl>
</li>
</ul>
<a name="isFavourite--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isFavourite</h4>
<pre>public final&nbsp;boolean&nbsp;isFavourite()</pre>
<div class="block">Get exit enabled status of Nodeitem</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if enabled</dd>
</dl>
</li>
</ul>
<a name="setGuardEnabled-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGuardEnabled</h4>
<pre>public final&nbsp;void&nbsp;setGuardEnabled(boolean&nbsp;enabled)</pre>
<div class="block">Set guard enabled status of Nodeitem</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>enabled</code> - </dd>
</dl>
</li>
</ul>
<a name="isGuardEnabled--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isGuardEnabled</h4>
<pre>public final&nbsp;boolean&nbsp;isGuardEnabled()</pre>
<div class="block">Get guard enabled status of Nodeitem</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if enabled</dd>
</dl>
</li>
</ul>
<a name="setStable-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setStable</h4>
<pre>public final&nbsp;void&nbsp;setStable(java.lang.String&nbsp;stability)</pre>
<div class="block">Set Nodeitem stability yes/no/unknown</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>stability</code> - </dd>
</dl>
</li>
</ul>
<a name="getStability--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStability</h4>
<pre>public final&nbsp;java.lang.String&nbsp;getStability()</pre>
<div class="block">Get Nodeitem stability</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Stability</dd>
</dl>
</li>
</ul>
<a name="setCountryCode-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCountryCode</h4>
<pre>public final&nbsp;void&nbsp;setCountryCode(java.lang.String&nbsp;abrv)</pre>
<div class="block">Set Nodeitem with its two letter country code abbreviation</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>abrv</code> - </dd>
</dl>
</li>
</ul>
<a name="getCountryCode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCountryCode</h4>
<pre>public final&nbsp;java.lang.String&nbsp;getCountryCode()</pre>
<div class="block">Get nodeitem two letter country code abbreviation</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Country code as string</dd>
</dl>
</li>
</ul>
<a name="setCountryName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCountryName</h4>
<pre>public final&nbsp;void&nbsp;setCountryName(java.lang.String&nbsp;name)</pre>
<div class="block">Set Nodeitem with its full country name</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - </dd>
</dl>
</li>
</ul>
<a name="getCountryName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCountryName</h4>
<pre>public final&nbsp;java.lang.String&nbsp;getCountryName()</pre>
<div class="block">Get nodeitem full country name</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Country name as string</dd>
</dl>
</li>
</ul>
<a name="setNickName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNickName</h4>
<pre>public final&nbsp;void&nbsp;setNickName(java.lang.String&nbsp;name)</pre>
<div class="block">Set nodeitem name</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - </dd>
</dl>
</li>
</ul>
<a name="getNickName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNickName</h4>
<pre>public final&nbsp;java.lang.String&nbsp;getNickName()</pre>
<div class="block">Get nodeitem unique name</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Node name as string</dd>
</dl>
</li>
</ul>
<a name="setBandwidth-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBandwidth</h4>
<pre>public final&nbsp;void&nbsp;setBandwidth(float&nbsp;bw)</pre>
<div class="block">Set node item bandwidth</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>bw</code> - </dd>
</dl>
</li>
</ul>
<a name="getBandwidth--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBandwidth</h4>
<pre>public final&nbsp;float&nbsp;getBandwidth()</pre>
<div class="block">Get nodeitem bandwith</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Bandwidth as long, in kb/s</dd>
</dl>
</li>
</ul>
<a name="setStreams-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setStreams</h4>
<pre>public final&nbsp;void&nbsp;setStreams(int&nbsp;streams)</pre>
<div class="block">Set nodeitem number of streams</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>streams</code> - </dd>
</dl>
</li>
</ul>
<a name="getStreams--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStreams</h4>
<pre>public final&nbsp;int&nbsp;getStreams()</pre>
<div class="block">Get nodeitems active streams</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Number of active streams as int</dd>
</dl>
</li>
</ul>
<a name="setFingerprint-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFingerprint</h4>
<pre>public final&nbsp;void&nbsp;setFingerprint(java.lang.String&nbsp;fp)</pre>
<div class="block">Set nodeitem fingerprint</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fp</code> - </dd>
</dl>
</li>
</ul>
<a name="getFingerprint--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFingerprint</h4>
<pre>public final&nbsp;java.lang.String&nbsp;getFingerprint()</pre>
<div class="block">Get nodeitems fingerprint</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Tor node fingerprint as string</dd>
</dl>
</li>
</ul>
<a name="setIPAddress-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIPAddress</h4>
<pre>public final&nbsp;void&nbsp;setIPAddress(java.lang.String&nbsp;ip)</pre>
<div class="block">Set nodeitem ip address</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ip</code> - </dd>
</dl>
</li>
</ul>
<a name="getIPAddress--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIPAddress</h4>
<pre>public final&nbsp;java.lang.String&nbsp;getIPAddress()</pre>
<div class="block">Get nodeitem ip address</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>IP address as a string</dd>
</dl>
</li>
</ul>
<a name="clone--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>clone</h4>
<pre>public&nbsp;<a href="../client/NodeItem.html" title="class in client">NodeItem</a>&nbsp;clone()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>clone</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/NodeItem.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../client/GuardNodeTableModel.html" title="class in client"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../client/NodeList.html" title="class in client"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?client/NodeItem.html" target="_top">Frames</a></li>
<li><a href="NodeItem.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
